// out: false

@import "./config.less";

.legends.sheet.quickstart {
  .bg-fade(100px, @bg-color-quickstart, @bg-fade-color-quickstart);

  .balance .balance-track {
    &.black, &.white{
      box-shadow: inset 1rem 1.4rem 0 @bg-color-quickstart, inset -1rem -1.4rem 0 @bg-color-quickstart;
    }
  }

  .accent { color: @accent-color-quickstart; }
  .accent-dark { color: @accent-dark-quickstart; }

  .underline,
  input,
  select,
  textarea,
  table,
  .description,
  .sheet-header .name,
  .navigation .sheet-tabs.tabs,
  .navigation .sheet-tabs.tabs .item {
    border-color: @accent-color-quickstart;
  }

  .navigation{
    .sheet-tabs.tabs{
      .item{
        color: @accent-dark-quickstart;

        &:hover, &.active{
          text-shadow: 0 0 10px @accent-color-quickstart;
        }
      }
    }
  }

  a{
    &:hover {
      text-shadow: 0 0 6px @accent-color-quickstart;
    }

    &.content-link,
    &.inline-roll {
      color: @accent-dark-quickstart;
    }
  }

  .skill-name {
    color: @accent-dark-quickstart;
  }
}

.legends.sheet {
  margin: -8px;
  padding: 0.5rem;
  .bg-fade(100px);

  &.item-sheet, &.npc-sheet{
    header.sheet-header{
      input, select{
        background: rgba(255,255,255,0.7);
      }
    }
  }

  .sheet-header{
    flex: none;

    select{
      width:96%;
      height: 48px;
      margin: 8px 2%;
      font-size: 1.2rem;
    }

    .playbook{
      input{
        border: none;
        background: transparent;
      }
    }
    .name{
      background: white;
      border: 2px solid @accent-color;
      border-radius: 0.25rem;
      width: 98px;
      margin: 8px 2%;
      .name-label{
        font-size: 0.9rem;
        padding: 4px 0 0 4px;
      }
      input{
        border: none;
        width:100%;
        height:100%;
        font-size: 1.5rem;
        padding: 0.5rem;
      }
    }
  }

  .navigation{
    flex-grow: 0;

    .sheet-tabs.tabs{
      border: none;
      background: rgba(255,255,255,0.5);
      margin: 0.5rem -0.5rem;
      padding: 0.5rem;
      border-top: 1px solid @accent-color;
      border-bottom: 1px solid @accent-color;

      .item{
        display: block;
        width: 100%;
        color: @accent-dark;
        border-left: 1px solid @accent-color;

        &:first-child{
          border-left: none;
        }

        &:hover, &.active{
          color: @text-color;
          text-shadow: 0 0 10px @accent-color;
        }
      }
    }
  }

  .tab[data-tab]{
    display: none;
    &.active{
      display: block;
    }
  }

  &.player-sheet .tab[data-tab].active{
    display: flex;
  }

  .stats{
    input {
      text-align: center;
      width: 2rem;
      height: 2rem;
      border: 3px solid black;
      border-radius: 50%;
      background: white;
      margin: 0 0.5rem;
    }
  }

  .balance {
    .balance-black, .balance-white{
      padding: 0.5rem;
      border-radius: 0.5rem;
      input{
        border: none;
        padding: 0.25rem 0.5rem;
        margin: 0;
        width: auto;
        background: transparent;
      }
    }

    .balance-black{
      color: white;
      background-image: linear-gradient(115deg, @text-color 20%, rgba(17, 17, 17, 0) 90%);
      margin-bottom: 0;
      
      input{
        color: white;
      }
    }
    .balance-white{
      background-image: linear-gradient(-115deg, white 20%, rgba(255, 255, 255, 0) 90%);
      color: @text-color;
      input{
        color: @text-color;
        text-align: right;
      }
    }

    ul.balance-track, ul.balance-center-track{
      display: flex;
      flex-direction: row;
      flex-wrap: none;
      margin: 0;
      padding: 0;

      li{
        list-style: none;
        flex: 1;
        text-align: center;

        &.text {
          flex: 0;
          font-size: 0.6rem;
          line-height:1.5rem;
          text-align:center;
          color: @accent-dark;
          margin: 0 -4px;
          .title-font();
        }
      }
    }

    ul.balance-center-track {
      height: 1.2rem;
    }

    ul.balance-track{
      &.black li, &.white li{
        .num{
          display: inline-block;
          border-radius: 50%;
          width: 2rem;
          height: 2rem;
          margin: 0.5rem;
          padding: 4px 0;
          border: 2px solid;
          font-weight: bold;
        }

        &.selected{
          .num{
            background: @firebender;
            color: white;
          }
        }
      }

      &.black, &.white{
        box-shadow: inset 1rem 1.4rem 0 @bg-color, inset -1rem -1.4rem 0 @bg-color;
      }
      &.black{
        background: black;
        li{
          .num{
            background: @text-color;
            color: white;
            border-color: @text-color;
          }
          &:hover .num{
            border-color: @firebender;
          }
        }
      }

      &.white{
        background: white;
        li{
          .num{
            background: white;
            color: @text-color;
            border-color: white;
          }
          &:hover .num{
            border-color: @firebender;
          }
        }
      }
    }
  }

  .item.technique {
    margin-bottom: 1rem;

    h3, h4, p {
      margin: 0;
    }

    h4 {
      a.set-proficiency{
        color: @text-color;

        .fa-times-circle {
          color: @firebender !important;
        }
      }
    }
  }

  h4.roll-approach{
    padding-bottom: 0.25rem;
    border-color: #65110c;
    position: relative;

    &:before{
      content: '◆';
      position: absolute;
      bottom: 0;
      left: 50%;
      width: 20px;
      text-align: center;
      transform: translateX(-50%) translateY(50%);
      font-size: 0.8rem;
    }
  }

  @editor-height: 100px;
  .description{
    flex: 1;
    display: flex;
    min-height: @editor-height;
    border: 1px solid @accent-color;
    border-radius: 0.25rem;
    background: rgba(255,255,255,0.5);
    padding: 0.5rem;

    h1,h2,h3,h4{
      .title-font();
    }
    
    .editor{
      min-height: @editor-height;
      width: 100%;
      .editor-content{
        min-height: @editor-height;
      }
      .tox.tox-tinymce{
        min-height: @editor-height * 2;
      }
    }
    &:hover .editor-edit{
      color: black;
    }
  }

  input, select, textarea {
    border: 1px solid @accent-color;
    border-radius: 0.25rem;
    width: calc(100% - 1rem);
    margin: 0 0.5rem;
    padding: 0 0.25rem;
    background: rgba(255,255,255,0.7);
    &:focus{
      box-shadow: 0 0 3px @accent-dark;
    }
  }

  select option{
    background: white;
  }
  
  .labelled-input{
    display: flex;
    flex-direction: row;
    margin: 0.5rem 0;
    
    label{
      font-weight: bold;
      line-height: 1.5rem;
    }
    input{
      .main-font();
      margin: 0 0 0 0.5rem;
    }
  }

  .balance-box, .fatigue-box, .check-box{
    display: inline-block;
    border: 2px solid black;
    background: white;

    &.filled{
      background: @firebender;
      box-shadow: inset 2px 2px 0 white, inset -2px -2px 0 white;
    }

    &.mini{
      width: 1rem;
      height: 1rem;
    }
  }

  .check-box{
    width: 1.2rem;
    height: 1.2rem;
    border-radius: 2px;
    margin: 0 0 -2px;
  }

  .balance-box, .fatigue-box{
    transform: rotate(45deg);
  }

  .fatigue-box{
    width: 1.5rem;
    height: 1.5rem;
    margin: 0 0.2rem;
  }

  .training {
    display: block;
    flex: none;
    .trainings {
      text-align: center;
      margin: 2rem 0 1rem;
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;

      .training-type {
        display: inline-block;
        margin: 0 1rem;
        flex: 1;
        .title-font();
        opacity: 0.25;
        &:hover{
          opacity: 0.75;
        }
        &.selected{
          opacity: 1 !important;
        }

        img{
          width: 2rem;
          border: none;
        }
      }
    }
  }

  .statuses{
    .positive{
      .title a.menu { color: @waterbender; }
    }

    .negative{
      .title a.menu { color: @firebender; }
    }
  }
}

.cell.status {
  max-width: 23%;
}

.sheet.journal-entry.legends-journal-sheet .journal-entry-content{
  .journal-header input{
    .title-font();
    font-variant: small-caps;
  }

  .bg-fade(100px);
  .main-font();

  h1, h2, h3, h4, h5 {
    border: none;
    .title-font();
  }

  h1 {
    border-bottom: 2px solid @accent-color;
  }

  a{
    &.content-link,
    &.inline-roll {
      color: @accent-dark;
    }
  }

  .skill-name{
    color: @accent-dark;
    .title-font();
    font-weight: bold;
    font-size:0.85rem;
  }
}
